Debian Bug report logs - #432200
apt-listbugs: support ruby 1.9

version graph

Package: apt-listbugs; Maintainer for apt-listbugs is Francesco Poli (wintermute) <invernomuto@paranoici.org>; Source for apt-listbugs is src:apt-listbugs.

Reported by: Neil McGovern <neilm@debian.org>

Date: Sun, 8 Jul 2007 11:51:01 UTC

Severity: serious

Tags: jessie, patch, sid

Found in version apt-listbugs/0.0.80

Fixed in version apt-listbugs/0.1.10

Done: Francesco Poli (wintermute) <invernomuto@paranoici.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Junichi Uekawa <dancer@debian.org>:
Bug#432200; Package apt-listbugs. Full text and rfc822 format available.

Acknowledgement sent to Neil McGovern <neilm@debian.org>:
New Bug report received and forwarded. Copy sent to Junichi Uekawa <dancer@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Neil McGovern <neilm@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: `require': no such file to load -- debian (LoadError)
Date: Sun, 08 Jul 2007 12:47:59 +0100
Package: apt-listbugs
Version: 0.0.80
Severity: grave


When running apt-listbugs:
/usr/sbin/apt-listbugs:213:in `require': no such file to load -- debian (LoadError)
        from /usr/sbin/apt-listbugs:213:in `<main>'

It seems that libdpkg-ruby isn't available for ruby1.9, which is linked
as my default /usr/bin/ruby

As the dependancy is explicitly on ruby1.8, a possible fix would be to
change the sha-bang line of apt-listbugs to
#!/usr/bin/ruby1.8 -I/usr/share/apt-listbugs

Regards,
Neil
-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (850, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.21-1-686 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages apt-listbugs depends on:
ii  apt                           0.7.3      Advanced front-end for dpkg
ii  libdpkg-ruby1.8               0.3.2      modules/classes for dpkg on ruby 1
ii  libhttp-access2-ruby1.8       2.0.6-3    HTTP accessing library for ruby
ii  libintl-gettext-ruby1.8       0.11-10    Gettext wrapper for Ruby 1.8
ii  libruby1.8 [libzlib-ruby1.8]  1.8.6-2    Libraries necessary to run Ruby 1.
ii  libxml-parser-ruby1.8         0.6.8-2    Interface of expat for the scripti
ii  ruby                          1.8.2-1    An interpreter of object-oriented 

apt-listbugs recommends no packages.

-- no debconf information



Message sent on to Neil McGovern <neilm@debian.org>:
Bug#432200. Full text and rfc822 format available.

Message #8 received at 432200-submitter@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: 432200-submitter@bugs.debian.org
Subject: why are you symlinking ruby1.9 as /usr/bin/ruby?
Date: Sun, 08 Jul 2007 23:40:18 +0900
> It seems that libdpkg-ruby isn't available for ruby1.9, which is linked
> as my default /usr/bin/ruby

ermm... why are you doing that?


> As the dependancy is explicitly on ruby1.8, a possible fix would be
> to change the sha-bang line of apt-listbugs to #!/usr/bin/ruby1.8
> -I/usr/share/apt-listbugs

It might be better to get libdpkg-ruby available for ruby 1.9.
However, I wouldn't have thought that ruby 1.9 is quite that ready for
prime time.



regards,
	junichi
-- 
dancer@{debian.org,netfort.gr.jp}   Debian Project



Information stored:
Bug#432200; Package apt-listbugs. Full text and rfc822 format available.

Acknowledgement sent to Neil McGovern <neilm@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #13 received at 432200-quiet@bugs.debian.org (full text, mbox):

From: Neil McGovern <neilm@debian.org>
To: Junichi Uekawa <dancer@netfort.gr.jp>, 432200-quiet@bugs.debian.org
Subject: Re: Bug#432200: why are you symlinking ruby1.9 as /usr/bin/ruby?
Date: Sun, 8 Jul 2007 16:36:11 +0100
[Message part 1 (text/plain, inline)]
On Sun, Jul 08, 2007 at 11:40:18PM +0900, Junichi Uekawa wrote:
> 
> > It seems that libdpkg-ruby isn't available for ruby1.9, which is linked
> > as my default /usr/bin/ruby
> 
> ermm... why are you doing that?
> 

It looks like ruby1.9 was the last (ruby) package I installed.

> > As the dependancy is explicitly on ruby1.8, a possible fix would be
> > to change the sha-bang line of apt-listbugs to #!/usr/bin/ruby1.8
> > -I/usr/share/apt-listbugs
> 
> It might be better to get libdpkg-ruby available for ruby 1.9.
> However, I wouldn't have thought that ruby 1.9 is quite that ready for
> prime time.
> 

Prehaps a conflicts against ruby1.9 until it's ready then? :)

Neil
-- 
* Tolimar votes for debconf7 to be somewhere where he speaks the
	language.
<Tolimar> That would a veto for switzerland ;)
<Ganneff> Tolimar: that also vetos germany
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#432200; Package apt-listbugs. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #18 received at 432200-quiet@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: Neil McGovern <neilm@debian.org>
Cc: Junichi Uekawa <dancer@netfort.gr.jp>, 432200-quiet@bugs.debian.org
Subject: Re: Bug#432200: why are you symlinking ruby1.9 as /usr/bin/ruby?
Date: Mon, 09 Jul 2007 07:22:26 +0900
> > > It seems that libdpkg-ruby isn't available for ruby1.9, which is linked
> > > as my default /usr/bin/ruby
> > 
> > ermm... why are you doing that?

> It looks like ruby1.9 was the last (ruby) package I installed.

Huh?

ruby-defaults package generates a ruby package which contains 

/usr/bin/ruby -> /usr/bin/ruby1.8

I don't quite understand why this is happening in the first place.



regards,
	junichi
-- 
dancer@{debian.org,netfort.gr.jp}   Debian Project



Severity set to `wishlist' from `grave' Request was from Junichi Uekawa <dancer@netfort.gr.jp> to control@bugs.debian.org. (Mon, 09 Jul 2007 12:42:01 GMT) Full text and rfc822 format available.

Changed Bug title to `apt-listbugs: support ruby 1.9' from ``require': no such file to load -- debian (LoadError)'. Request was from Ryan Niebur <ryanryan52@gmail.com> to control@bugs.debian.org. (Wed, 13 May 2009 06:33:04 GMT) Full text and rfc822 format available.

Blocking bugs of 432200 added: 528469 Request was from Ryan Niebur <ryanryan52@gmail.com> to control@bugs.debian.org. (Wed, 13 May 2009 06:33:05 GMT) Full text and rfc822 format available.

Blocking bugs of 432200 added: 472307 Request was from Ryan Niebur <ryanryan52@gmail.com> to control@bugs.debian.org. (Wed, 13 May 2009 06:33:06 GMT) Full text and rfc822 format available.

Blocking bugs of 432200 added: 528471 Request was from Ryan Niebur <ryanryan52@gmail.com> to control@bugs.debian.org. (Wed, 13 May 2009 06:33:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 432200: 555032 Request was from Ryan Niebur <ryan@debian.org> to control@bugs.debian.org. (Sun, 08 Nov 2009 05:21:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#432200; Package apt-listbugs. (Sun, 03 Jan 2010 20:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryan@debian.org>:
Extra info received and forwarded to list. (Sun, 03 Jan 2010 20:33:02 GMT) Full text and rfc822 format available.

Message #35 received at 432200@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryan@debian.org>
To: 432200@bugs.debian.org
Cc: 472307@bugs.debian.org
Subject: Re: Bug#432200: apt-listbugs: support ruby 1.9
Date: Sun, 3 Jan 2010 12:30:55 -0800
[Message part 1 (text/plain, inline)]
It now gets to this point:

$ ruby1.9 /usr/bin/apt-listbugs -s all list apt-listbugs
Reading package fields... Done
Reading package status... Done
Retrieving bug reports... 0% Fail
Error retrieving bug reports from the server with the following error message:
 W: no content type
It could be because your network is down, or because of broken proxy servers, or the BTS server itself is down. Check network configuration and try again
Retry downloading bug information?[Y/n]? 

So just need to debug the soap4r bug, upload soap4r, and we're good.

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryan@debian.org>:
Bug#432200; Package apt-listbugs. (Sun, 20 Mar 2011 16:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Ryan Niebur <ryan@debian.org>. (Sun, 20 Mar 2011 16:12:03 GMT) Full text and rfc822 format available.

Message #40 received at 432200@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: 432200@bugs.debian.org
Subject: Re: Bug#432200: apt-listbugs: support ruby 1.9
Date: Sun, 20 Mar 2011 17:08:04 +0100
[Message part 1 (text/plain, inline)]
On Sun, 3 Jan 2010 12:30:55 -0800 Ryan Niebur wrote:

[...]
> So just need to debug the soap4r bug, upload soap4r, and we're good.

Note to myself: soap4r has been recently removed from unstable [1] and
testing. This does not help...   :-(

[1] http://bugs.debian.org/532929


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Added blocking bug(s) of 432200: 629979 Request was from Thomas Müller <thomas.mueller@tmit.eu> to control@bugs.debian.org. (Tue, 14 Jun 2011 14:03:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Francesco Poli (wintermute) <invernomuto@paranoici.org>:
Bug#432200; Package apt-listbugs. (Wed, 04 Jan 2012 20:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Francesco Poli (wintermute) <invernomuto@paranoici.org>. (Wed, 04 Jan 2012 20:42:06 GMT) Full text and rfc822 format available.

Message #47 received at 432200@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: 432200@bugs.debian.org
Subject: Status update
Date: Wed, 4 Jan 2012 21:39:01 +0100
[Message part 1 (text/plain, inline)]
A status update on this bug:
http://lists.debian.org/debian-ruby/2012/01/msg00025.html
I should probably have Cc:ed the bug address, too...   ;-)

-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Francesco Poli (wintermute) <invernomuto@paranoici.org>:
Bug#432200; Package apt-listbugs. (Mon, 12 Aug 2013 06:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Terceiro <terceiro@debian.org>:
Extra info received and forwarded to list. Copy sent to Francesco Poli (wintermute) <invernomuto@paranoici.org>. (Mon, 12 Aug 2013 06:27:05 GMT) Full text and rfc822 format available.

Message #52 received at 432200@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@debian.org>
To: 432200@bugs.debian.org
Subject: [PATCH] apt-listbugs: Drop hard dependency on Ruby 1.8
Date: Mon, 12 Aug 2013 00:18:14 +0200
[Message part 1 (text/plain, inline)]
Control: tag -1 + patch

Hello,

ruby-soap4r is now sitting in NEW. Sources are available at
http://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/ruby-soap4r.git

Based on that, you will find attached to this message a patch to drop
the hardcoded dependency on Ruby 1.8. I have tested locally by running
some of the examples in the examples/ directory with ruby1.8 and with
ruby1.9.1 (actualy 1.9.3) and comparing results, and by running

  $ ./apt-listbugs -s all list $package

which also works fine.

-- 
Antonio Terceiro <terceiro@debian.org>
[0001-Switch-from-ruby1.8-to-ruby.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Antonio Terceiro <terceiro@debian.org> to 432200-submit@bugs.debian.org. (Mon, 12 Aug 2013 06:27:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Francesco Poli (wintermute) <invernomuto@paranoici.org>:
Bug#432200; Package apt-listbugs. (Mon, 12 Aug 2013 07:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Francesco Poli (wintermute) <invernomuto@paranoici.org>. (Mon, 12 Aug 2013 07:48:04 GMT) Full text and rfc822 format available.

Message #59 received at 432200@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Antonio Terceiro <terceiro@debian.org>, 432200@bugs.debian.org
Subject: Re: Bug#432200: [PATCH] apt-listbugs: Drop hard dependency on Ruby 1.8
Date: Mon, 12 Aug 2013 09:42:51 +0200
[Message part 1 (text/plain, inline)]
On Mon, 12 Aug 2013 00:18:14 +0200 Antonio Terceiro wrote:

[...]
> Hello,

Hi Antonio!

> 
> ruby-soap4r is now sitting in NEW. Sources are available at
> http://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/ruby-soap4r.git

Thank you so much, this is really great news!   :-)

> 
> Based on that, you will find attached to this message a patch to drop
> the hardcoded dependency on Ruby 1.8. I have tested locally by running
> some of the examples in the examples/ directory with ruby1.8 and with
> ruby1.9.1 (actualy 1.9.3) and comparing results, and by running
> 
>   $ ./apt-listbugs -s all list $package
> 
> which also works fine.

Thanks a lot for the patch as well!
I will test and apply it as soon as possible, once ruby-soap4r is
available (at least) in sid.

Thank you for your contribution, it's really appreciated.
Bye.


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Francesco Poli (wintermute) <invernomuto@paranoici.org>:
Bug#432200; Package apt-listbugs. (Thu, 15 Aug 2013 19:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Terceiro <terceiro@debian.org>:
Extra info received and forwarded to list. Copy sent to Francesco Poli (wintermute) <invernomuto@paranoici.org>. (Thu, 15 Aug 2013 19:24:04 GMT) Full text and rfc822 format available.

Message #64 received at 432200@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@debian.org>
To: Francesco Poli <invernomuto@paranoici.org>
Cc: 432200@bugs.debian.org
Subject: [PATCH] apt-listbugs: Drop hard dependency on Ruby 1.8 (updated)
Date: Thu, 15 Aug 2013 21:20:28 +0200
[Message part 1 (text/plain, inline)]
Attached an updated version of the patch. There was a missing require in
lib/apt-listbugs/logic.rb - I don't know how it worked before. ;-)
[0001-Switch-from-ruby1.8-to-ruby.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Francesco Poli (wintermute) <invernomuto@paranoici.org>:
Bug#432200; Package apt-listbugs. (Mon, 02 Sep 2013 12:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
Extra info received and forwarded to list. Copy sent to Francesco Poli (wintermute) <invernomuto@paranoici.org>. (Mon, 02 Sep 2013 12:51:05 GMT) Full text and rfc822 format available.

Message #69 received at 432200@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: 432200@bugs.debian.org
Subject: Ruby 1.8 is going away
Date: Mon, 2 Sep 2013 14:49:00 +0200
[Message part 1 (text/plain, inline)]
Control: severity -1 serious

Hi!

Ruby 1.8 is unsupported upstream and should not be part of Jessie.
Please update apt-listbugs to make it works with newer Ruby versions.

See also:
<http://release.debian.org/transitions/html/ruby1.8-removal.html>

Thanks!
-- 
Lunar                                .''`. 
lunar@debian.org                    : :Ⓐ  :  # apt-get install anarchism
                                    `. `'` 
                                      `-   
[signature.asc (application/pgp-signature, inline)]

Severity set to 'serious' from 'wishlist' Request was from Jérémy Bobbio <lunar@debian.org> to 432200-submit@bugs.debian.org. (Mon, 02 Sep 2013 12:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Francesco Poli (wintermute) <invernomuto@paranoici.org>:
Bug#432200; Package apt-listbugs. (Mon, 02 Sep 2013 18:15:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Francesco Poli (wintermute) <invernomuto@paranoici.org>. (Mon, 02 Sep 2013 18:15:14 GMT) Full text and rfc822 format available.

Message #76 received at 432200@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Jérémy Bobbio <lunar@debian.org>, 432200@bugs.debian.org
Cc: Antonio Terceiro <terceiro@debian.org>
Subject: Re: Bug#432200: Ruby 1.8 is going away
Date: Mon, 2 Sep 2013 20:12:41 +0200
[Message part 1 (text/plain, inline)]
On Mon, 2 Sep 2013 14:49:00 +0200 Jérémy Bobbio wrote:

> Control: severity -1 serious
> 
> Hi!

Hello Jérémy!

> 
> Ruby 1.8 is unsupported upstream and should not be part of Jessie.
> Please update apt-listbugs to make it works with newer Ruby versions.

I know, Antonio Terceiro (in Cc) was so kind to package the needed
gem [1].
I was waiting for this new package to be accepted in unstable.
This has just happened: I plan to apply the patch kindly provided by
Antonio himself soon. 

[1] http://bugs.debian.org/629979

[...]
> Thanks!

Thanks to you!


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) sid and jessie. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Mon, 02 Sep 2013 20:36:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Francesco Poli (wintermute) <invernomuto@paranoici.org> to control@bugs.debian.org. (Sat, 14 Sep 2013 17:18:19 GMT) Full text and rfc822 format available.

Reply sent to Francesco Poli (wintermute) <invernomuto@paranoici.org>:
You have taken responsibility. (Sat, 05 Oct 2013 15:21:08 GMT) Full text and rfc822 format available.

Notification sent to Neil McGovern <neilm@debian.org>:
Bug acknowledged by developer. (Sat, 05 Oct 2013 15:21:08 GMT) Full text and rfc822 format available.

Message #85 received at 432200-close@bugs.debian.org (full text, mbox):

From: Francesco Poli (wintermute) <invernomuto@paranoici.org>
To: 432200-close@bugs.debian.org
Subject: Bug#432200: fixed in apt-listbugs 0.1.10
Date: Sat, 05 Oct 2013 15:18:38 +0000
Source: apt-listbugs
Source-Version: 0.1.10

We believe that the bug you reported is fixed in the latest version of
apt-listbugs, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 432200@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Francesco Poli (wintermute) <invernomuto@paranoici.org> (supplier of updated apt-listbugs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 04 Oct 2013 23:23:08 +0200
Source: apt-listbugs
Binary: apt-listbugs
Architecture: source all
Version: 0.1.10
Distribution: unstable
Urgency: high
Maintainer: Francesco Poli (wintermute) <invernomuto@paranoici.org>
Changed-By: Francesco Poli (wintermute) <invernomuto@paranoici.org>
Description: 
 apt-listbugs - tool which lists critical bugs before each apt installation
Closes: 432200 671728 688506
Changes: 
 apt-listbugs (0.1.10) unstable; urgency=high
 .
   * bumped Standards-Version to 3.9.4: no changes needed
   * updated VCS-* fields to canonical URIs
   * clarified various online help messages and changed the default list of
     pending-state categories to be shown:
     [pending,forwarded,pending-fixed,fixed,done]
   * improved internationalization
   * dropped the deprecated tempfile in the cron.daily job (replaced by mktemp)
   * improved HTML bug lists (turned into XHTML + external CSS stored in
     /etc/apt/listbugs/bug-list.css)
   * fixed references to GPL in common-licenses so that they point to
     /usr/share/common-licenses/GPL-2
   * fixed a typo in the comment included in the initial version of
     /etc/apt/listbugs/ignore_bugs
   * adopted UTF-8 arrows, when charset is UTF-8
   * adopted standard Ruby library Tempfile for HTML bug lists too, thus
     dropping the ad-hoc HtmlTempfile (security fix, hence urgency=high)
   * improved 10apt-listbugs configuration file (enhanced English in a comment,
     dropped redundant exit 10)
   * fixed "should be able to read hook information through a named pipe"
     (thanks to Serafeim Zanikolas for the initial patch!) and made
     apt-listbugs no longer need to explicitly open /dev/tty, this being
     a better fix for #662983 (Closes: #671728)
   * added a configuration option (AptListbugs::Severities) to set the default
     list of severities the user is interested in
   * fixed "support ruby 1.9", thanks to Antonio Terceiro for packaging
     ruby-soap4r and for providing the initial patch (Closes: #432200)
   * fixed "should show package arch when listing bugs" by reading version
     3 hook information and treating copies of the same package for different
     architectures as distinct packages that may be acted upon independently
     (Closes: #688506)
Checksums-Sha1: 
 1e2e7ee4c0806bb651414437102a8b56ffe2843f 1771 apt-listbugs_0.1.10.dsc
 0809f5fa7ba93420547c8e2958de1379fcc1bc21 133684 apt-listbugs_0.1.10.tar.gz
 c882a5cd3eb75386432ef8463551df3e642b5008 65252 apt-listbugs_0.1.10_all.deb
Checksums-Sha256: 
 fd461734012301e53f68c6207853c260909b9d151e541adcaeba2c5fcc74a4ab 1771 apt-listbugs_0.1.10.dsc
 d545449461e318bd214d96709aa797ceb9ea214800367bc0af9295b72a6d141b 133684 apt-listbugs_0.1.10.tar.gz
 a75b2d3246c772ac8d841fc61cafb3d33052ff21748c67e07e8d00254958737b 65252 apt-listbugs_0.1.10_all.deb
Files: 
 42b7eeee9fe4b52a212efc11e6506d57 1771 admin optional apt-listbugs_0.1.10.dsc
 6c815f76dd8ceb548c5f038582ebc7e6 133684 admin optional apt-listbugs_0.1.10.tar.gz
 7584ab94188df3280b20c952ff044f71 65252 admin optional apt-listbugs_0.1.10_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCAAGBQJSUB9NAAoJEE+fbVUO1hIqVfcP/3NiR0cRbkdIfBZWF2biQY5K
fA300AOZX4b35rHUklcT0rd6JG3+LG1FsXfs2/OzhhjdazwPbokoP4xZROUNFDqC
fr22RPQs+0h9nzh+LS0dds+7NWOgR5LcDArzch2ooC961rPgxzLAce2iSqVY5bBC
l6EZfwL0QsHqauYyGhZptoPyRdCcsJXCg4y9oGzoJw8ePVSAkr2MNlOUAbKGjxTo
kSzNfc2FB67GtX6CoSlUcsmcehMvIbVPWLre4aW/2qzlX3vhCaSWfQ2ZdoW8wW3D
/xp72s4Ja3BHHalJQzEcTfJFN08Yys4y4D78fE8+v3Jmp4sRLRFjjM8hdu+cbFBJ
5hHklCKNUjsSKxxaXga3xez+57iVYbDkNrMtNCETL6hsq02T7lCvtDrU24J+Swtn
xhXxhvsTTWTHVMy0NjC9UZrYwP+Cw6IaH0G00cjhxMBQ9ykFDI0HE+V5zPbnBT39
Fcrf3ADD0/lMF7xHc2ZIkxMW4XIqy9p8fH7bhhjBQiiCBMEXTRMGtBK8Dz/6XHqw
XwCSwFOYz4l1IiukAysT6//2LsODI3wbVVXyKqnorAJsLSljhqS5dS3JJTTPE7Cy
e7JwqeQhN1XrLaue2Fb7ZZQ2pVpR+oGy+D0Id//Q71oArEz/wYMD0SU8i+Fd4dih
3vz63/SmRRL4Qz9gddDu
=IP4T
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 03 Nov 2013 07:25:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:33:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.